# Who's who

Bon, on aime bien choisir des noms rigolos pour les vms, mais parfois ça amène à
un peu de confusion. Du coup, on va répertorier ici les différentes machines
(virtuelles ou non) et leurs différentes fonctions. Si une machine n'est pas
renseigné, n'hésitez pas à aller jeter un coup d'œil sur ansible ou à raller sur
#roots :)

## Zamok
C'est le serveur physique des adhérent⋅es. Il sert principalement à deux choses,
donner un terminal aux adhérents et destination finale des mails. C'est aussi
lui qui hébèrge les pages personnelles des adhérent⋅es. Le [webirc
persistent](https://webirc.crans.org) y est aussi hébergé.

Liste des logiciels installés :
  - postfix + opendkim + rspamd
  - apache (bouh)
  - webirc

## Tealc
C'est le serveur qui hébèrge les disques de nos vms. C'est un gros machins
pleins de disques qui utilise zfs pour exposer une pool en nfs sur le réseau
pour qu'elle soit montée par le cluster proxmox. Il héberge aussi un serveur
postgres sur lequel sont hébergées (presque) toutes les bases de données du
crans. C'est aussi lui qui héberge les homes des nounous et le mirroir des
logiciels.

Liste de logiciels installés :
  - zfs
  - postgres
  - nginx

## Cameron
C'est le serveur qui héberge les homes des adhérent⋅es et leurs répertoires
mails. C'est aussi depuis lui que sont effectués les backups quotidiennes des
données des adhérent⋅es. Une de ses pools sert à stocker et à exposer sur le
réseau les disques des vms des adhérent⋅es pour qu'elles soit montées sur le
cluster proxmox des adhérent⋅es.

Liste de logiciels installés :
  - zfs

## Sam, Daniel, Jack : le cluster proxmox du crans
Les trois serveurs sont organisés en un cluster proxmox pour hébergé les
machines virtuelles du crans. Ils hébergent en sus une copie en lecture seule
des bases de données et un replicat du serveur ldap.

Liste de logiciels installés :
  - proxmox
  - postgres
  - slapd

### wall-e : le serveur ldap
C'est le serveur qui hébèrge le ldap d'administration. Sur celui-ci sont
consignés toutes nos machines, les utilisateurices qui ont accès au réseau et
les privilèges dont iel dispose sur celui-ci, la configuration des zones dns.

Liste de logiciels installés :
  - slapd

### routeur-{sam,daniel,jack} : les routeurs
Les routeurs sont responsables de connecter le reste du crans au reste du monde.
Chacun d'entre eux est équipé pour pouvoir effectuer cette tache seule. À tout
instant un seul d'entre eux s'occupe du routage et les autres attendent. Si un
problème devait arriver au routeur actif, l'un des deux prendraient le relai via
keepalived. Chacun des routeurs disposent d'une copie du parefeu généré par un
script, d'un serveur radvd pour broadcast des router advertisement sur le
réseau des adhérent⋅es, d'un serveur dhcp pour aider les machines des
adhérent⋅es à configurer leur ipv4 et d'un serveur bird pour échanger des routes
avec nos isps (aurore et via).

Liste de logiciels installés :
  - nftables
  - isc-dhcp-server
  - radvd
  - bird
  - keepalived

### eclat : le mirroir publique
C'est la machine virtuelle qui synchronise les mirroirs de logiciels et les
expose au reste d'internet pour que les adhérent⋅es puissent télécharger les
logiciels. Le mirroir est hébergé sur tealc et c'est ce serveur que toutes nos
machines viennent intérroger pour se mettre à jour. Seul les machines
exterieures utilisent eclat.

Liste de logiciels installés :
  - rsyncd
  - vsftpd
  - nginx
  - apt-mirror

### gitzly : le serveur gitlab
C'est le serveur gitlab du crans.

### gitlab-ci : le serveur d'intégration continue
C'est le serveur sur lesquels sont exectués les taches d'intégration continue
grâce à docker (beurk).

### roundcube : le (nouveau) webmail
C'est le webmail sur lequel les adhérent⋅es peuvent consulter leur mails. C'est
un logiciel php.

### horde : le (vieux) webmail
C'est l'ancien webmail qui sera décomissioné en 2023. C'est un logiciel php.

### voyager : framadate & la meilleure vm
C'est la machine virtuelle qui héberge framadate (un logiciel php), et une base
de donnée mysql. Mais surtout c'est une vm qui a beaucoup servi de vms de tests
random, son état est donc chaotique et incertain.

### mailman : les listes de diffusion
C'est la machine virtuelle qui héberge les listes de diffusion. On utilise
mailman3, un logiciel django et la machine dispose aussi de son instance de
postfix pour pouvoir envoyer et recevoir les mails.

### belenios : la démocratie
C'est la machine virtuelle qui héberge le logiciel éponyme qui sert à organiser
des éléctions sécurisées. C'est un logiciel en ocaml, use with care or with L3
info.

### apprentis : la machine virtuelle des apprenti⋅es
Play ground pour que les apprenti⋅es puissent s'amuser à faire ce qu'iels
veulent. À priori rien est installé dessus mais tout peut-être installé dessus.

### ptf : la mémoire (fatiguée)
C'est le serveur ftp sur lequel est hebergé les vidéos des installs party du
crans. Il dispose d'un serveur vsftpd et d'un serveur nginx. Il est peu utilisé.

### flirt : le ldap des machines des adhérent⋅es
C'est la machine virtuelle qui héberge le ldap sur lequel sont consignés les
machines virtuelles des adhérent⋅es et des clubs. Elle dispose d'un serveur
slapd. On a l'ambition de rassembler les deux ldap des adhérent⋅es un jour mais
ça risque de pas convergé (c.f. constellation).

### neree : galene
C'est le serveur galene du crans, l'un des deux logiciels qu'on utilise pour
faire de la visio conférence.

### ferle : anchor ripe
C'est la machine virtuelle qu'on met à disposition du ripe pour être des bons
élèves. On a donc pas accès à la machine.

### boeing : pont wireguard
C'est la machine qui héberge la plupart des ponts wireguard qu'on a vers
l'exterieur (sputnik, thot, ft).

### fluxx : à bruler

### linx : serveur d'hébergement de fichier
C'est la machine virtuelle qui héberge le logiciel éponyme.

### cas : cas
C'est le cas. (django-cas)

### fyre : monitoring
C'est la machine virtuelle qui monitore l'état de l'infrastructure. Il utilise
la suite de logiciels prometheus, grafana et ninjaaa(bot).

### ecilis : dns de test
C'est une machine virtuelle qui fait partie de l'infrastructure de test et qui
héberge un dns authoritaire (knot).

### trinity : pont matrix
C'est le pont matrix qui permet aux utilisateurices de matrix de participer aux
discutions sur irc.

### redisdead : serveur mail principale
C'est le serveur mail principale du crans, c'est sur lui que les mails arrivent
et de lui que les mails partent. Ce n'est cependant pas la destination finale
des mails qui sont redirigés vers zamok. C'est un serveur postfix, mais il y a
aussi un serveur opendkim et policyd sur la machine.

### en7 : la connexion de secours
L'ens nous a donné une ip de secours sur leur réseaux au cas où il y ait un
problème sur les routeurs et qu'on ait besoin de se connecter sur le réseaux. Il
est projetté d'y hébergé un serveur dns et un serveur mail.

### owl : serveur pop3/imap
C'est le serveur qui expose aux adhérentes leur email en imap ou en pop3.

### …

## Gulp, Odlyd, Stitch : le cluster proxmox des adhérent⋅es
Les trois serveurs sont organisés en un cluster proxmox pour hébergé les
machines virtuelles des adhérent⋅es.

Liste de logiciels installés :
  - proxmox

## Thot, Ft : les serveurs de backups
Ces deux serveurs ne sont pas dans la baie mais à des endroits distincts pour
éviter qu'un accident dans la salle serveur détruise toutes les données. Thot
est chez via et ft chez auro.re (une chance sur deux que je me sois trompée et
que c'est l'inverse). Ce sont des serveurs proxmox, donc peu de choses tournent
sur les machines. On décrit dans les sections qui suiventt les vms qui sont
hébergés sur ces serveurs.

Liste de logiciels installés :
  - proxmox

## routeur-{ft,thot} : les routeurs
Ces deux machines virtuelles servent à connecter leur hyperviseur et les
machines virtuelles qu'il héberge au reste du réseau d'administration via un
tunnel wireguard dont l'autre pair est boeing.

Liste de logiciels installés :
  - wireguard

## backup-{ft,thot} : les serveurs de backup
C'est sur ces machines virtuelles que sont effectivement faites les backups via
borgmatic.

Liste de logiciels installés :
  - borgmatic

## Hodaur : le serverse proxy
C'est le reverse proxy.

Liste de logiciels installés :
 - nginx